Retrieves all the equipment_model objects
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
equipment_model| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| code |
The Id/Ref of the back office. Used by Embedded entity |
string |
Max length: 50 |
| name |
Name of the equipment model |
string |
Required Max length: 50 |
| description |
Description of the equipment model |
string | |
| equipment_brand_id |
FK Of Equipment brand |
globally unique identifier | |
| equipment_brand_code |
Embedded entity "equipment_brand" using ERP PK when adding/updating equipment_model |
string | |
| equipment_brand |
Embedded entity "equipment_brand" using ERP PK when adding/updating equipment_model |
equipment_brand | |
| equipment_family_id |
FK Of equipment_family |
globally unique identifier | |
| equipment_family_code |
Embedded entity "equipment_family" using ERP PK when adding/updating equipment_model |
string | |
| equipment_family |
Embedded entity "equipment_family" using ERP PK when adding/updating equipment_model |
equipment_family | |
| date_in_production_since |
Date in production since |
date | |
| date_out_of_production_since |
Date Out Of production since |
date | |
| date_end_support |
Date end support |
date | |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating equipment_model |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating equipment_model |
sales_organization | |
| replacement_period_nb_months |
replacement_period_nb_months |
integer | |
| warranty_period_nb_months |
warranty_period_nb_months |
integer | |
| translations |
List of translation of specific field name |
Collection of translation | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "d7088c41-f649-483f-b423-d2c29eeaf620",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"equipment_brand_id": "0cf130a3-6c2d-439f-8323-0a56c3e8de57",
"equipment_brand_code": "sample string 6",
"equipment_brand": {
"id": "8d527870-be2f-40e3-9595-6911bedebb21",
"name": "sample string 2",
"code": "sample string 3",
"sales_organization_id": "6a24b340-3e13-4e32-ab99-f8ad8b5ff8a4",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "bba754d5-87bc-4b3f-82db-e028184c2640",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "e0bd5013-8b5e-4eb0-967d-a31c94c6a5c6",
"db_currency_id": "85823da0-d206-4585-bfee-4318e60390e8",
"db_language_id": "b46ee512-d935-4f7a-9521-937fb5473343",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-29T10:21:29.8963636+00:00"
},
"modified_dateutc": "2026-10-29T10:21:29.8963636+00:00"
},
"equipment_family_id": "0e0579d7-2821-4a6a-abdf-fa4ec9a3c590",
"equipment_family_code": "sample string 8",
"equipment_family": {
"id": "f291248f-9a88-44f1-b03d-7b27a079cf88",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "4fa8d564-4c9d-4901-8a92-b2a2cf8f9998",
"_parent_code": "sample string 6",
"sales_organization_id": "d3e8eec5-eb58-4ad5-b72a-b74f3f3b46f0",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "bba754d5-87bc-4b3f-82db-e028184c2640",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "e0bd5013-8b5e-4eb0-967d-a31c94c6a5c6",
"db_currency_id": "85823da0-d206-4585-bfee-4318e60390e8",
"db_language_id": "b46ee512-d935-4f7a-9521-937fb5473343",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-29T10:21:29.8963636+00:00"
},
"modified_dateutc": "2026-10-29T10:21:29.8963636+00:00"
},
"date_in_production_since": "2026-10-29T10:21:29.8963636+00:00",
"date_out_of_production_since": "2026-10-29T10:21:29.8963636+00:00",
"date_end_support": "2026-10-29T10:21:29.8963636+00:00",
"sales_organization_id": "e93fd53e-97c8-470a-ba9b-0744c1e3537a",
"sales_organization_code": "sample string 13",
"sales_organization": {
"id": "bba754d5-87bc-4b3f-82db-e028184c2640",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "e0bd5013-8b5e-4eb0-967d-a31c94c6a5c6",
"db_currency_id": "85823da0-d206-4585-bfee-4318e60390e8",
"db_language_id": "b46ee512-d935-4f7a-9521-937fb5473343",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-29T10:21:29.8963636+00:00"
},
"replacement_period_nb_months": 14,
"warranty_period_nb_months": 15,
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
],
"modified_dateutc": "2026-10-29T10:21:29.8963636+00:00"
}